Package org.bukkit.entity

# Interface Trident

All Superinterfaces:
  `AbstractArrow`, `Audience`, `CommandSender`, `Entity`, `HoverEventSource<HoverEvent.ShowEntity>`, `Metadatable`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `Projectile`, `ServerOperator`, `Sound.Emitter`, `ThrowableProjectile`

public interface Trident extends AbstractArrow, ThrowableProjectile
Represents a thrown trident.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.AbstractArrow

`AbstractArrow.PickupRule, AbstractArrow.PickupStatus`

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLoyaltyLevel()`
Returns the loyalty level of the trident.
`boolean`
`hasDealtDamage()`
Gets if this trident has dealt damage to an entity yet or has hit the floor.
`boolean`
`hasGlint()`
Returns whether the trident has an enchanted glow.
`void`
`setGlint(boolean glint)`
Sets whether the trident has an enchanted glow.
`void`
`setHasDealtDamage(boolean hasDealtDamage)`
Sets if this trident has dealt damage to an entity yet or has hit the floor.
`void`
`setLoyaltyLevel(int loyaltyLevel)`
Sets the loyalty level of the trident.

### Methods inherited from interface org.bukkit.entity.AbstractArrow

`getAttachedBlock, getDamage, getHitSound, getItemStack, getKnockbackStrength, getLifetimeTicks, getPickupRule, getPickupStatus, getPierceLevel, hasNoPhysics, isCritical, isInBlock, isShotFromCrossbow, setCritical, setDamage, setHitSound, setKnockbackStrength, setLifetimeTicks, setNoPhysics, setPickupRule, setPickupStatus, setPierceLevel, setShotFromCrossbow`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, deleteMessage, deleteMessage, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlainMessage, sendRichMessage`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, collidesAt, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getSwimHighSpeedSplashSound, getSwimSound, getSwimSplashSound, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isUnderWater, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync, wouldCollideUsing`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.entity.Projectile

`doesBounce, getShooter, hasBeenShot, hasLeftShooter, setBounce, setHasBeenShot, setHasLeftShooter, setShooter`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

### Methods inherited from interface org.bukkit.entity.ThrowableProjectile

`getItem, setItem`

## Method Details

### hasGlint

boolean hasGlint()
Returns whether the trident has an enchanted glow. This can be separate from the underlying item having any enchantments.

Returns:
  whether the trident has an enchanted glow

### setGlint

void setGlint(boolean glint)
Sets whether the trident has an enchanted glow. This is separate from the underlying item having any enchantments.

Parameters:
  `glint` - whether the trident should have an enchanted glow

### getLoyaltyLevel

int getLoyaltyLevel()
Returns the loyalty level of the trident. This can be separate from the underlying item's enchantments.

Returns:
  loyalty level of the trident

### setLoyaltyLevel

void setLoyaltyLevel(int loyaltyLevel)
Sets the loyalty level of the trident. This is separate from the underlying item's enchantments.

Parameters:
  `loyaltyLevel` - loyalty level
Throws:
  `IllegalArgumentException` - if the loyalty level is lower than 0 or greater than 127

### hasDealtDamage

boolean hasDealtDamage()
Gets if this trident has dealt damage to an entity yet or has hit the floor. If neither of these events have occurred yet, this will return false.

Returns:
  has dealt damage

### setHasDealtDamage

void setHasDealtDamage(boolean hasDealtDamage)
Sets if this trident has dealt damage to an entity yet or has hit the floor.

Parameters:
  `hasDealtDamage` - has dealt damage or hit the floor